Subject: bug#57400: 29.0.50; Support sending patches from VC directly

From: Dmitry Gutov <[email-masked]>
Date: Sat, 8 Oct 2022 16:07:43 +0300

On 08.10.2022 15:11, Philip Kaludercic wrote:
> Dmitry Gutov<[email-masked]>  writes:
> 
>>> The main issue I see here is that 'next-revision' requires a file
>>> argument.  What should that be?
>> The 'mergebase' and 'print-log' actions don't seem to require it.
> I am not sure if this might help, but it seems that (vc-deduce-fileset
> t) could give some useful information?

I suppose it could, if we wanted to support limiting the generated 
patches to a subset of files. That might be not very obvious behavior, 
though. I don't know.

BTW, does vc-print-root-log really not work with CVS? Perhaps it will be 
a good idea to define the 'root' action there (which will recursively 
check the parent directory and see whether it still contains the "CVS" 
dir). As long as CVS knows how to recursively diff the directory tree, I 
suppose. And show history for it whole.